<?php

namespace App\Composant\User\Domain;

class User
{

    private string $lastname, $firstname;
    private int $roleId;
    private float $kwhPrice, $hourlyCost;

    public function __construct()
    {
    }

    /**
     * @return float
     */
    public function getKwhPrice(): float
    {
        return $this->kwhPrice;
    }

    /**
     * @param float $kwhPrice
     */
    public function setKwhPrice(float $kwhPrice): void
    {
        $this->kwhPrice = $kwhPrice;
    }

    /**
     * @return float
     */
    public function getHourlyCost(): float
    {
        return $this->hourlyCost;
    }

    /**
     * @param float $hourlyCost
     */
    public function setHourlyCost(float $hourlyCost): void
    {
        $this->hourlyCost = $hourlyCost;
    }

    /**
     * @return int
     */
    public function getRoleId(): int
    {
        return $this->roleId;
    }

    /**
     * @param int $roleId
     */
    public function setRoleId(int $roleId): void
    {
        $this->roleId = $roleId;
    }

    /**
     * @return string
     */
    public function getLastname(): string
    {
        return $this->lastname;
    }

    /**
     * @param string $lastname
     */
    public function setLastname(string $lastname): void
    {
        $this->lastname = $lastname;
    }

    /**
     * @return string
     */
    public function getFirstname(): string
    {
        return $this->firstname;
    }

    /**
     * @param string $firstname
     */
    public function setFirstname(string $firstname): void
    {
        $this->firstname = $firstname;
    }

}